# Generated from rails-3.2.17.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rails
%global rubyabi 1.9.1

Summary: Full-stack web application framework
Name: %{?scl_prefix}rubygem-%{gem_name}
Epoch:1
Version: 3.2.17
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://www.rubyonrails.org
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) >= 1.3.6
Requires: %{?scl_prefix}ruby >= 1.8.7
Requires: %{?scl_prefix}rubygem(activesupport) = 3.2.17
Requires: %{?scl_prefix}rubygem(actionpack) = 3.2.17
Requires: %{?scl_prefix}rubygem(activerecord) = 3.2.17
Requires: %{?scl_prefix}rubygem(activeresource) = 3.2.17
Requires: %{?scl_prefix}rubygem(actionmailer) = 3.2.17
Requires: %{?scl_prefix}rubygem(railties) = 3.2.17
Requires: %{?scl_prefix}rubygem(bundler) => 1.0
Requires: %{?scl_prefix}rubygem(bundler) < 2
BuildRequires: %{?scl_prefix}rubygems-devel >= 1.3.6
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby on Rails is a full-stack web framework optimized for programmer happiness
and sustainable productivity. It encourages beautiful code by favoring
convention over configuration.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Fri Mar 14 2014 Joe VLcek<jvlcek@redhat.com> - 3.2.17-1
- Update sources with the upstream rails-3.2.17.gem, not a patched version.


* Wed Jun 19 2013 Joe Rafaniello <jrafanie@redhat.com> - 3.2.13-2
- Update sources with the upstream rails-3.2.13.gem, not a patched version.

* Fri Jun 14 2013 Brandon Dunne <bdunne@redhat.com> - 3.2.13-1

* Thu May 16 2013 Steve Linabery <slinaber@redhat.com> - 3.2.11-2
- Set Epoch

* Wed May 15 2013 Steve Linabery <slinaber@redhat.com> - 3.2.11-1
- Initial package
